Summary: A Z-code interpreter for Infocom format text adventure games.
Name: xzip
Version: 182
Release: 1
Copyright: Freely redistributable
Group: Amusements/Games
Source: http://www.eblong.com/zarf/%{name}%{version}.tar.Z
Url: http://www.eblong.com/zarf/xzip.html
Source2: runzcode
Patch0: xzip-config.patch
BuildRoot: %{_tmppath}/%{name}-root

%description
Xzip provides the Z-code interpreter which you'll need to play text
adventure games written in Infocom's Z-code game format, versions 1-5
and 8.

%prep
%setup -q -n xzip
%patch -p1 -b .patch

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/games/ \
	$RPM_BUILD_ROOT%{_mandir}/man6

make install BUILDROOT=$RPM_BUILD_ROOT \
	FHS=share/
install -d -m 755 $RPM_BUILD_ROOT/usr/lib/games/zcode
install -m 755 $RPM_SOURCE_DIR/runzcode $RPM_BUILD_ROOT/usr/games/runzcode

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_mandir}/*/*
/usr/games/xzip
/usr/games/runzcode

%changelog
* Fri Feb 02 2001 Than Ngo <than@redhat.com>
- updated to 182 (Bug #23561)
- updated Url

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Thu Jul 13 2000 Than Ngo <than@redhat.de>
- rebuilt

* Tue Jun 12 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0
- clean up specfile

* Tue Jul 27 1999 Tim Powers <timp@redhat.com>
- updated source to 181
- built for 6.1

* Mon Dec 21 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- updated package

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Michael Fulbright <msf@redhat.com>
- updated to version 161

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
